# ChangeLog for media-sound/timidity++
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/timidity++/ChangeLog,v 1.83 2007/02/24 15:22:18 jer Exp $

  24 Feb 2007; Jeroen Roovers <jer@gentoo.org> timidity++-2.13.2-r3.ebuild:
  Stable for HPPA (bug #156160).

  17 Feb 2007; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  Add check for midi useflag presence in alsa-lib.

  10 Feb 2007; Christian Faulhammer <opfer@gentoo.org>
  timidity++-2.13.2.ebuild, timidity++-2.13.2-r2.ebuild,
  timidity++-2.13.2-r3.ebuild:
  moved from USE flag tcltk to tk, see bug 17808

  06 Feb 2007; Simon Stelling <blubb@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  stable on amd64; bug 161386

  21 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  FIx compile with motif useflag set, closes bug #161996.

  14 Jan 2007; Joseph Jezak <josejx@gentoo.org> timidity++-2.13.2-r3.ebuild:
  Marked ppc stable for bug #161386.

  12 Jan 2007; Christian Faulhammer <opfer@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  stable x86, bug #161386

  11 Jan 2007; Markus Rothe <corsair@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  Stable on ppc64; bug #161386

  10 Jan 2007; Gustavo Zacarias <gustavoz@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  Stable on sparc wrt #161386

  10 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  Fix also motif requiring X to be enabled, bug #105404 not limited to Mac OS X.

  10 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  +files/timidity++-2.13.2-flac.patch, timidity++-2.13.2-r3.ebuild:
  Fix configure failure when enabling NAS without X useflag enabled, closes
  bug #156708; fix build failure when enabling FLAC without OggFlac bug
  #156539.

  05 Jan 2007; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2.ebuild, timidity++-2.13.2-r2.ebuild:
  Convert to use elog.

  06 Dec 2006; Jason Wever <weeve@gentoo.org> timidity++-2.13.2-r3.ebuild:
  Added ~sparc keyword wrt bug #156160.

  03 Dec 2006; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  Add freepats to the choices of patchsets.

  01 Dec 2006; Markus Rothe <corsair@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  Added ~ppc64; bug #156160

  28 Nov 2006; Joseph Jezak <josejx@gentoo.org> timidity++-2.13.2-r3.ebuild:
  Marked ~ppc for bug #156160.

  25 Nov 2006; Stefan Schweizer <genstef@gentoo.org>
  timidity++-2.13.2-r3.ebuild:
  ~x86, bug 156160

*timidity++-2.13.2-r3 (24 Nov 2006)

  24 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  +timidity++-2.13.2-r3.ebuild:
  Remove timidity-update script, instead depend on eselect-timidity, and
  inform to use that to choose the patchset to use.

  22 Nov 2006; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2-r2.ebuild:
  Fix quoting, install init.d script only when alsa support is used, add
  ~x86-fbsd keyword.

  12 Nov 2006; Guy Martin <gmsoft@gentoo.org> timidity++-2.13.2-r2.ebuild:
  Stable on hppa.

  20 Oct 2006; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2-r2.ebuild:
  Depend on 1.1.2 version of flac, as the 1.1.3 version changes API.

  22 Sep 2006; <blubb@gentoo.org> timidity++-2.13.2-r2.ebuild:
  stable on amd64

  06 Sep 2006; Joseph Jezak <josejx@gentoo.org> timidity++-2.13.2-r2.ebuild:
  Marked ppc stable for bug #145669.

  05 Sep 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  timidity++-2.13.2-r2.ebuild:
  Stable on sparc

  04 Sep 2006; Michele Noberasco <s4t4n@gentoo.org>
  timidity++-2.13.2-r2.ebuild:
  Stable for x86. See bug #145669.

  01 Sep 2006; Stefan Schweizer <genstef@gentoo.org>
  timidity++-2.13.2-r2.ebuild:
  gtk2 -> gtk, bug 106560

  27 Jul 2006; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2.ebuild, timidity++-2.13.2-r2.ebuild:
  Fix dependency on slang 1, see bug #141947.

  15 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2-r2.ebuild:
  Depend on one of the two patchsets, as per bug #109375. Thanks to Santtu
  Pajukanta for reporting.

  15 Mar 2006; Markus Rothe <corsair@gentoo.org>
  timidity++-2.13.2-r2.ebuild:
  Stable on ppc64

  19 Feb 2006; Tony Vroon <chainsaw@gentoo.org>
  -files/timidity++-2.13.2-exiterror.patch, timidity++-2.13.2-r2.ebuild:
  QA fix: Move 21KB patch to mirrors.

  10 Sep 2005; Diego Pettenò <flameeyes@gentoo.org>
  timidity++-2.13.2.ebuild, timidity++-2.13.2-r2.ebuild:
  Don't install INSTALL file.

  09 Sep 2005; Brent Baude <ranger@gentoo.org> timidity++-2.13.2-r2.ebuild:
  Marking timidity++-2.13.2-r2 ~ppc in support of bug 104254

  30 Aug 2005; Brent Baude <ranger@gentoo.org> timidity++-2.13.2-r2.ebuild:
  Marking timidity++-2.13.2-r2.ebuild ~ppc64 for bug 104254

  26 Jun 2005; Mark Loeser <halcy0n@gentoo.org>
  +files/timidity++-2.13.2-gcc4.patch, timidity++-2.13.2-r2.ebuild:
  GCC4 patch, thanks to <sunmoon1997@gmail.com> for the patch; bug #89933

  28 May 2005; Jan Brinkmann <luckyduck@gentoo.org>
  timidity++-2.13.2.ebuild, timidity++-2.13.2-r2.ebuild:
  Dont make use of the deprecated oggvorbis useflag any longer, see #94254.

*timidity++-2.13.2-r2 (05 Apr 2005)

  05 Apr 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +files/timidity++-2.13.2-exiterror.patch, -timidity++-2.13.2-r1.ebuild,
  +timidity++-2.13.2-r2.ebuild:
  Have timidity exit with an error code if it fails to start so the initscript
  will detect it. Also, use cubic splines instead of linear. Closes bug #76364
  thanks to Stian Skjelstad <stian@nixia.no>.

  31 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.2.ebuild, timidity++-2.13.2-r1.ebuild:
  motif dep to virtual.

  28 Mar 2005; Guy Martin <gmsoft@gentoo.org> timidity++-2.13.2.ebuild:
  Stable on hppa.

  25 Mar 2005; Heinrich Wendel <lanius@gentoo.org>
  timidity++-2.13.2-r1.ebuild:
  fix openmotif dep

*timidity++-2.13.2-r1 (21 Mar 2005)

  21 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  +timidity++-2.13.2-r1.ebuild:
  Revbump to fix a handful of bugs including 76361, 76654, 77286, 83018, and
  84752. Thanks Flameeyes for the ebuild.

  28 Feb 2005; Jeremy Huddleston <eradicator@gentoo.org>
  -files/long-64bit.patch, -files/timidity++-2.12.0-alsalib-fix.patch,
  -files/timidity.cfg, -timidity++-2.12.0-r3.ebuild,
  -timidity++-2.13.0-r1.ebuild, -timidity++-2.13.0-r2.ebuild:
  Cleaned out old versions.

  23 Feb 2005; Chris White <chriswhite@gentoo.org>
  timidity++-2.13.0-r1.ebuild, timidity++-2.13.0-r2.ebuild,
  timidity++-2.13.2.ebuild:
  Fixed ppc portaudio logic and /lib hardcoding (not using get_libdir...)

  22 Dec 2004; Joseph Jezak <josejx@gentoo.org> timidity++-2.13.2.ebuild:
  Marked ppc stable.

  21 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/timidity++-2.13.2-gtk26.patch, timidity++-2.13.2.ebuild:
  Added patch for gtk-2.6 from bug #75208.

  18 Dec 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.2.ebuild:
  Don't pull in tk unless we want X also.

  23 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.2.ebuild:
  Stable amd64, sparc, x86.

*timidity++-2.13.2 (07 Oct 2004)

  07 Oct 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -timidity++-2.13.0.ebuild, -timidity++-2.13.0_rc2.ebuild,
  +timidity++-2.13.2.ebuild:
  Version bump and cleanup.

*timidity++-2.13.0-r2 (23 Sep 2004)

  23 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +files/timidity-update, +files/timidity.cfg-r1,
  +timidity++-2.13.0-r2.ebuild:
  Revision bump to make use of the timidity-update script provided by ohn
  Richard Moser <nigelenki@comcast.net>.

  22 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0-r1.ebuild:
  Removed sparc conditional around jack.

  15 Sep 2004; Jeremy Huddleston <eradicator@gentoo.org>
  files/init.d.timidity:
  Changed init script to after instead of use for bug #59635.

  06 Jul 2004; Michael Sterrett <mr_bones_@gentoo.org>
  timidity++-2.13.0-r1.ebuild:
  Fix typo (bug #56213); remove nomirror

  04 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0-r1.ebuild:
  Stable x86, sparc, amd64. Fixed note to mention /etc/timidity.cfg

  05 Jul 2004; Frank van de Pol <fvdpol@gentoo.org>
  timidity++-2.12.0-r3.ebuild, timidity++-2.13.0-r1.ebuild,
  timidity++-2.13.0.ebuild, timidity++-2.13.0_rc2.ebuild:
  Fixed typo, closes bug #56049

  02 Jul 2004; Jon Hood <squinky86@gentoo.org> timidity++-2.13.0-r1.ebuild:
  change kde USE flag to arts, fix #48761, thanks to Lengyel Sándor
  <hunnia@hu.inter.net> for the update

  15 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  files/init.d.timidity:
  Fixed need alsasound to use alsasound.

*timidity++-2.13.0-r1 (15 Jun 2004)

  15 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +timidity++-2.13.0-r1.ebuild:
  Revbump to have the ebuild install the default config in /etc

  15 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.12.0-r3.ebuild:
  Stable amd64.

  13 Jun 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0.ebuild, timidity++-2.13.0_rc2.ebuild:
  Getting rid of virtual/jack.

  12 May 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0.ebuild:
  Fix bug #50107.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> timidity++-2.12.0-r3.ebuild:
  Add inherit eutils

*timidity++-2.13.0 (22 Apr 2004)

  22 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0.ebuild:
  Version bump closes bug #48701.

  16 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0_rc1.ebuild, timidity++-2.13.0_rc2.ebuild:
  Removing rc1.  Fixed RDEPEND

  06 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0_rc2.ebuild:
  Fixed tk dep to RDEPEND. Added emacs use support to handle make install's
  dumping timiditly.el in / if youu don't have emacs installed.

  03 Apr 2004; Donnie Berkholz <spyderous@gentoo.org>;
  timidity++-2.12.0-r3.ebuild, timidity++-2.13.0_rc1.ebuild,
  timidity++-2.13.0_rc2.ebuild:
  Change x11-base/xfree dependency to virtual/x11.

  30 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0_rc2.ebuild:
  amd64 now uses portaudio.

  29 Mar 2004; Daniel Ahlberg <aliz@gentoo.org> timidity++-2.13.0_rc2.ebuild:
  Remove amd64 stuff, not needed anymore. Closing #44460.

  24 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0_rc2.ebuild:
  ~sparc does portaudio now...

  19 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0_rc2.ebuild:
  Forgot && in portaudio line.

*timidity++-2.13.0_rc2 (19 Mar 2004)

  19 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.13.0_rc2.ebuild, files/conf.d.timidity, files/init.d.timidity:
  Added TIMIDITY_PCM_NAME option to conf.d file. Closes bug #44863. Version
  bump.

*timidity++-2.13.0_rc1 (21 Feb 2004)

  21 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.12.0-r3.ebuild, timidity++-2.12.0.ebuild,
  timidity++-2.13.0_rc1.ebuild:
  Version bump closes bug #42379. Move autoconf out of RDEPEND. Bumping
  2.12.0-r3 to stable on ppc and removing old 2.12.0 ebuild.

  10 Feb 2004; Jeremy Huddleston <eradicator@gentoo.org>
  timidity++-2.12.0-r3.ebuild, timidity++-2.12.0.ebuild,
  files/conf.d.timidity, files/init.d.timidity:
  Added timidity init script for alsa virtual sequencer to close bug #21258.
  Bump -r3 into stable for x86.

  01 Feb 2004; Brian Harring <ferringb@gentoo.org>
  timidity++-2.12.0-r3.ebuild, timidity++-2.12.0.ebuild,
  files/timidity++-2.12.0-alsalib-fix.patch:
  Alsalib-1.0 compilation fix (35457)

  26 Dec 2003; Jason Wever <weeve@gentoo.org> timidity++-2.12.0-r3.ebuild:
  Added ~sparc keyword.

  12 Dec 2003; Daniel Ahlberg <aliz@gentoo.org> timidity++-2.12.0-r3.ebuild:
  Add amd64 keyword. Patch contributed by Michael Gorse <mgorse@alum.wpi.edu> in #33641.

  26 Sep 2003; jje <jje@gentoo.org> timidity++-2.12.0-r3.ebuild:
  Added oss to IUSE.

*timidity++-2.12.0-r3 (21 Jul 2003)

  21 Jul 2003; jje <jje@gentoo.org> timidity++-2.12.0-r1.ebuild,
  timidity++-2.12.0-r2.ebuild, timidity++-2.12.0-r3.ebuild,
  files/timidity.cfg:
  Install a sample config file. Closes #24331.

*timidity++-2.12.0-r2 (19 Jul 2003)

  19 Jul 2003; jje <jje@gentoo.org> timidity++-2.12.0-r2.ebuild:
  Wrapped audios="oss" in use oss.

*timidity++-2.12.0-r1 (08 May 2003)

  08 May 2003; jje <jje@gentoo.org> timidity++-2.12.0-r1.ebuild:
  Updated to support USE="-X".

  05 Jul 2002; Nick Hadaway <raker@gentoo.org> timidity++-2.12.0.ebuild

  updated to latest beta to resolve alsa9 compile problems.  Changed some
  configure options as well.

*timidity++-2.11.1-r2 (28 Mar 2002)

  28 Mar 2002; Seemant Kulleen <seemant@gentoo.org> timidity++-2.11.1-r1.ebuild:

  ogg and vorbis USE flags are now just oggvorbis USE flag.

*timidity++-2.11.1-r1 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
